// import COMMONMARK_CONVERTERS from './commonmark'
// import { extend } from '../utilities'
//
// var converters = {}
//
// function cell (content, node) {
//   var index = Array.prototype.indexOf.call(node.parentNode.childNodes, node)
//   var prefix = ' '
//   if (index === 0) prefix = '| '
//   return prefix + content + ' |'
// }
//
// converters.lineBreak = {
//   filter: 'br',
//   replacement: function () {
//     return '\n'
//   }
// }
//
// converters.deleted = {
//   filter: ['del', 's', 'strike'],
//   replacement: function (content) {
//     return '~~' + content + '~~'
//   }
// }
//
// converters.checkbox = {
//   filter: function (node) {
//     return node.type === 'checkbox' && node.parentNode.nodeName === 'LI'
//   },
//   replacement: function (content, node) {
//     return (node.checked ? '[x]' : '[ ]') + ' '
//   }
// }
//
// converters.table = {
//   filter: 'table',
//   replacement: function (content) {
//     return '\n\n' + content + '\n\n'
//   }
// }
//
// converters.tableSection = {
//   filter: ['thead', 'tbody', 'tfoot'],
//   replacement: function (content) {
//     return content
//   }
// }
//
// converters.tableRow = {
//   filter: 'tr',
//   replacement: function (content, node) {
//     var borderCells = ''
//     var alignMap = { left: ':--', right: '--:', center: ':-:' }
//
//     if (node.parentNode.nodeName === 'THEAD') {
//       for (var i = 0; i < node.childNodes.length; i++) {
//         var align = node.childNodes[i].attributes.align
//         var border = '---'
//
//         if (align) border = alignMap[align.value] || border
//
//         borderCells += cell(border, node.childNodes[i])
//       }
//     }
//     return '\n' + content + (borderCells ? '\n' + borderCells : '')
//   }
// }
//
// converters.tableCell = {
//   filter: ['th', 'td'],
//   replacement: function (content, node) {
//     return cell(content, node)
//   }
// }
//
// converters.fencedCodeBlock = {
//   filter: function (node) {
//     return node.nodeName === 'PRE' &&
//     node.parentNode.nodeName === 'DIV' &&
//     highlightRegEx.test(node.parentNode.className)
//   },
//   replacement: function (content, node) {
//     var language = node.parentNode.className.match(highlightRegEx)[1]
//     return '\n\n```' + language + '\n' + node.textContent + '\n```\n\n'
//   }
// }
//
// export default extend({}, COMMONMARK_CONVERTERS, converters)
